Debian Bug report logs - #216933
libx11-6: many clients get BadLength error from X_ChangeProperty request [Transmeta Crusoe CMS bug]

Package: libx11-6; Maintainer for libx11-6 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libx11-6 is src:libx11.

Reported by: Joey Hess <joeyh@debian.org>

Date: Tue, 21 Oct 2003 19:48:03 UTC

Severity: normal

Tags: wontfix

Merged with 234556, 261251

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: X_ChangeProperty protocol error
Date: Tue, 21 Oct 2003 15:46:19 -0400
[Message part 1 (text/plain, inline)]
Package: xlibs
Version: 4.2.1-12.1
Severity: normal

This is the problem I mentioned on irc. For the past week, plus or
minus, X will once or twice a day hose itself. Then simple X programs
all fail to run with the same problem:

joey@dragon:~>xterm
X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Serial number of failed request:  51
  Current serial number in output stream:  54
zsh: exit 1     xterm

Even restarting X does not seem to help; xdm then goes into a tight loop
of starting, dying before the greeter is shown, etc. I have to reboot to
clear the problem up. Running X programs also eventually die, when they
try to do whatever it is that causes the problem. This includes bringing
up a menu in mozilla-firebird, and xchat seems to just die of its own
accord soon after the problem starts.

I also tried starting a second X session, while X was hosed on :0.0.
startx -- :2 brought up X, and was able to launch my window manager
(ion-devel), but was unable to run any apps in the window manager. Attempts
to run an xterm resulted in the same error message back at the console.
Similarly, manually running X :2 and then an xterm on that display
failed.

ltrace shows the following, and it dies in the same place for other apps
such as xterm:

joey@dragon:~/tmp/xlogo>ltrace xlogo -sync
__libc_start_main(0x08048e60, 2, 0xbffff8e4, 0x080496b0, 0x08049710 <unfinished ...>
XtOpenApplication(0xbffff88c, 0x08049834, 0x0804a00c, 1, 0xbffff8a0) = 0x08055118
XtAddCallback(0x08055118, 0x0804a75d, 0x08048da0, 0, 0xbffff8a0) = 1
XtAddCallback(0x08055118, 0x0804a686, 0x08048d70, 0, 0xbffff8a0) = 1
XtWidgetToApplicationContext(0x08055118, 0x0804a686, 0x08048d70, 0, 0xbffff8a0) = 0x0804d090
XtAppAddActions(0x0804d090, 0x0804a01c, 1, 0, 0xbffff8a0) = 0
XtParseTranslationTable(0x0804983a, 0x0804a01c, 1, 0, 0xbffff8a0) = 0x08055af0
XtOverrideTranslations(0x08055118, 0x08055af0, 1, 0, 0xbffff8a0) = 0
XtCreateManagedWidget(0x08049858, 0x0804a080, 0x08055118, 0, 0) = 0x08056f78
XtRealizeWidget(0x08055118, 0x0804a080, 0x08055118, 0, 0X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Serial number of failed request:  31
  Current serial number in output stream:  32
 <unfinished ...>
+++ exited (status 1) +++

I have attached strace output of xlogo -sync to this bug report.

Using the xlogo you built w/ debugging symbols, and xlibs-dbg, I was able to
get a backtrace near the failure when running xlogo -sync. I attach a complete
log of that gdb run, but the essence of it is this:

(gdb) s
0x40114d80 in XawVendorStructureNotifyHandler ()
   from /usr/X11R6/lib/libXaw.so.7
(gdb) bt
#0  0x40114d80 in XawVendorStructureNotifyHandler ()
   from /usr/X11R6/lib/libXaw.so.7
#1  0x4015dbc8 in XtRealizeWidget (widget=0x40114d80) at Intrinsic.c:407
#2  0x080493c1 in main (argc=1, argv=0xbffff894) at xlogo.c:131
(gdb) s
Single stepping until exit from function XawVendorStructureNotifyHandler, 
which has no line number information.
X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Serial number of failed request:  29
  Current serial number in output stream:  30

Program exited with code 01.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux dragon 2.4.22 #1 Sun Oct 12 15:11:10 EDT 2003 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages xlibs depends on:
ii  libc6                         2.3.2-8    GNU C Library: Shared libraries an
ii  libfreetype6                  2.1.5-2    FreeType 2 font engine, shared lib
ii  xfree86-common                4.2.1-12.1 X Window System (XFree86) infrastr

-- 
see shy jo
[xlogo-strace (text/plain, attachment)]
[xlogo-gdb-log (text/plain, attachment)]
[XF86Config-4 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#216933. Full text and rfc822 format available.

Message #12 received at 216933-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 216933-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#216933: X_ChangeProperty protocol error
Date: Tue, 21 Oct 2003 17:27:28 -0500
[Message part 1 (text/plain, inline)]
retitle 216933 xlibs: many clients get BadLength error from X_ChangeProperty request
tag 216933 + moreinfo
thanks

On Tue, Oct 21, 2003 at 03:46:19PM -0400, Joey Hess wrote:
> This is the problem I mentioned on irc. For the past week, plus or
> minus, X will once or twice a day hose itself. Then simple X programs
> all fail to run with the same problem:
> 
> joey@dragon:~>xterm
> X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
>   Major opcode of failed request:  18 (X_ChangeProperty)
>   Serial number of failed request:  51
>   Current serial number in output stream:  54
> zsh: exit 1     xterm
> 
> Even restarting X does not seem to help; xdm then goes into a tight loop
> of starting, dying before the greeter is shown, etc. I have to reboot to
> clear the problem up. Running X programs also eventually die, when they
> try to do whatever it is that causes the problem. This includes bringing
> up a menu in mozilla-firebird, and xchat seems to just die of its own
> accord soon after the problem starts.
> 
> I also tried starting a second X session, while X was hosed on :0.0.
> startx -- :2 brought up X, and was able to launch my window manager
> (ion-devel), but was unable to run any apps in the window manager. Attempts
> to run an xterm resulted in the same error message back at the console.
> Similarly, manually running X :2 and then an xterm on that display
> failed.

This problem description blows my mind.  No matter how hosed the X
server on :0 (or :1) is, the different instance at :2 should not be
affected.  Unless it's a bug in the source code.  But then why don't you
see this problem from the beginning?

> ltrace shows the following, and it dies in the same place for other apps
> such as xterm:
> 
> joey@dragon:~/tmp/xlogo>ltrace xlogo -sync
> __libc_start_main(0x08048e60, 2, 0xbffff8e4, 0x080496b0, 0x08049710 <unfinished ...>
> XtOpenApplication(0xbffff88c, 0x08049834, 0x0804a00c, 1, 0xbffff8a0) = 0x08055118
> XtAddCallback(0x08055118, 0x0804a75d, 0x08048da0, 0, 0xbffff8a0) = 1
> XtAddCallback(0x08055118, 0x0804a686, 0x08048d70, 0, 0xbffff8a0) = 1
> XtWidgetToApplicationContext(0x08055118, 0x0804a686, 0x08048d70, 0, 0xbffff8a0) = 0x0804d090
> XtAppAddActions(0x0804d090, 0x0804a01c, 1, 0, 0xbffff8a0) = 0
> XtParseTranslationTable(0x0804983a, 0x0804a01c, 1, 0, 0xbffff8a0) = 0x08055af0
> XtOverrideTranslations(0x08055118, 0x08055af0, 1, 0, 0xbffff8a0) = 0
> XtCreateManagedWidget(0x08049858, 0x0804a080, 0x08055118, 0, 0) = 0x08056f78
> XtRealizeWidget(0x08055118, 0x0804a080, 0x08055118, 0, 0X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
>   Major opcode of failed request:  18 (X_ChangeProperty)
>   Serial number of failed request:  31
>   Current serial number in output stream:  32
>  <unfinished ...>
> +++ exited (status 1) +++
> 
> I have attached strace output of xlogo -sync to this bug report.
> 
> Using the xlogo you built w/ debugging symbols, and xlibs-dbg, I was able to
> get a backtrace near the failure when running xlogo -sync. I attach a complete
> log of that gdb run, but the essence of it is this:

Can you please install libxaw7-dbg and get a backtrace with that?  I
want to see the backtrace on those stack frames.

Of course, that may be a red herring, as you say non-Athena apps are
effected.

-- 
G. Branden Robinson                |    A celibate clergy is an especially
Debian GNU/Linux                   |    good idea, because it tends to
branden@debian.org                 |    suppress any hereditary propensity
http://people.debian.org/~branden/ |    toward fanaticism.    -- Carl Sagan
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #17 received at 216933-quiet@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Branden Robinson <branden@debian.org>, 216933-quiet@bugs.debian.org
Subject: Re: Bug#216933: X_ChangeProperty protocol error
Date: Tue, 21 Oct 2003 20:22:35 -0400
[Message part 1 (text/plain, inline)]
Branden Robinson wrote:
> This problem description blows my mind.  No matter how hosed the X
> server on :0 (or :1) is, the different instance at :2 should not be
> affected.  Unless it's a bug in the source code.  But then why don't you
> see this problem from the beginning?

A little birdie is telling me X is doing something to the kernel that
persists until reboot. I wish I knew what..

> Can you please install libxaw7-dbg and get a backtrace with that?  I
> want to see the backtrace on those stack frames.

I'll do that the next time it happens (we're up to 6 times today, so you
will not be waiting long .. once I get that pig downloaded over dialup).

> Of course, that may be a red herring, as you say non-Athena apps are
> effected.

They are. I also get traces ending in different X calls than
XtRealizeWidget with non-athena apps. Same error message though.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #22 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Subject: this just gets weirder
Date: Fri, 24 Oct 2003 12:57:34 -0400
[Message part 1 (text/plain, inline)]
Now I am seeing the X problem go away in the time it takes me to install
libxaw7-dbg and start up gdb on xlogo. This is twice now that it has
somehow recovered after exhibiting the problem, with me just waiting a
little while in between.

At approximatly 12:42, mozilla-firebird died with the BadLength error.
xchat died soon thereafter. I verified that I could not run X programs.
By 12:55, X programs are working again.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #27 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Subject: Re: this just gets weirder
Date: Sat, 25 Oct 2003 14:01:40 -0400
[Message part 1 (text/plain, inline)]
> Now I am seeing the X problem go away in the time it takes me to install
> libxaw7-dbg and start up gdb on xlogo. This is twice now that it has
> somehow recovered after exhibiting the problem, with me just waiting a
> little while in between.
> 
> At approximatly 12:42, mozilla-firebird died with the BadLength error.
> xchat died soon thereafter. I verified that I could not run X programs.
> By 12:55, X programs are working again.

And again. It seems to take it < 15 minutes of wait to recover from
whatever it is.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#216933. Full text and rfc822 format available.

Message #30 received at 216933-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 216933-submitter@bugs.debian.org
Subject: Re: Bug#216933: this just gets weirder
Date: Sat, 25 Oct 2003 17:12:49 -0500
[Message part 1 (text/plain, inline)]
On Sat, Oct 25, 2003 at 02:01:40PM -0400, Joey Hess wrote:
> > Now I am seeing the X problem go away in the time it takes me to install
> > libxaw7-dbg and start up gdb on xlogo. This is twice now that it has
> > somehow recovered after exhibiting the problem, with me just waiting a
> > little while in between.
> > 
> > At approximatly 12:42, mozilla-firebird died with the BadLength error.
> > xchat died soon thereafter. I verified that I could not run X programs.
> > By 12:55, X programs are working again.
> 
> And again. It seems to take it < 15 minutes of wait to recover from
> whatever it is.

You are frightening me with your mighty Heisenbergian powers.

-- 
G. Branden Robinson                |     Software engineering: that part of
Debian GNU/Linux                   |     computer science which is too
branden@debian.org                 |     difficult for the computer
http://people.debian.org/~branden/ |     scientist.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #35 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Subject: full backtrace
Date: Sun, 26 Oct 2003 18:20:28 -0500
[Message part 1 (text/plain, inline)]
(gdb) b exit
Breakpoint 9 at 0x402bd9b6
(gdb) c
Continuing.
X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Serial number of failed request:  29
  Current serial number in output stream:  30

Breakpoint 9, 0x402bd9b6 in exit () from /lib/libc.so.6
(gdb) bt
#0  0x402bd9b6 in exit () from /lib/libc.so.6
#1  0x40200beb in _XDefaultError (dpy=0x1, event=0x1) at XlibInt.c:2846
#2  0x40200ce4 in _XError (dpy=0x8054328, rep=0xbffff390) at XlibInt.c:2898
#3  0x401ff243 in _XReply (dpy=0x8054328, rep=0xbffff390, extra=0, discard=1)
    at XlibInt.c:1787
#4  0x401fa4d4 in XSync (dpy=0x8054328, discard=0) at Sync.c:45
#5  0x401fa595 in _XSyncFunction (dpy=0x1) at Synchro.c:34
#6  0x401de485 in XChangeProperty (dpy=0x8054328, w=1, property=1, type=1,
    format=1, mode=1, data=0xbffff450 "\b\002", nelements=18) at ChProp.c:104
#7  0x40207c77 in XSetWMSizeHints (dpy=0x1, w=1, hints=0x1, prop=1)
    at SetNrmHint.c:95
#8  0x40207cb6 in XSetWMNormalHints (dpy=0x1, w=1, hints=0x1)
    at SetNrmHint.c:106
#9  0x4020881a in XSetWMProperties (dpy=0x8054328, w=31457281,
    windowName=0xbffff690, iconName=0xbffff690, argv=0x8057e38, argc=1,
    sizeHints=0x80597c0, wmHints=0x80578a4, classHints=0xbffff678)
    at WMProps.c:111
#10 0x4016f5ae in _popup_set_prop (w=0x80577b0) at Shell.c:1487
#11 0x4016eeb5 in Realize (wid=0x80577b0, vmask=0x1, attr=0xbffff790)
    at Shell.c:1239
#12 0x40114b06 in XawVendorShellRealize (wid=0x80577b0, vmask=0x1, attr=0x1)
    at Vendor.c:378
#13 0x4015d87a in RealizeWidget (widget=0x80577b0) at Intrinsic.c:329
#14 0x4015dbd0 in XtRealizeWidget (widget=0x80577b0) at Intrinsic.c:408
#15 0x080493c1 in main (argc=1, argv=0xbffff894) at xlogo.c:131
(gdb)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#216933. Full text and rfc822 format available.

Message #38 received at 216933-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 216933-submitter@bugs.debian.org
Subject: Re: Bug#216933: full backtrace
Date: Mon, 27 Oct 2003 12:04:37 -0500
[Message part 1 (text/plain, inline)]
On Sun, Oct 26, 2003 at 06:20:28PM -0500, Joey Hess wrote:
> Breakpoint 9, 0x402bd9b6 in exit () from /lib/libc.so.6
> (gdb) bt
> #0  0x402bd9b6 in exit () from /lib/libc.so.6
> #1  0x40200beb in _XDefaultError (dpy=0x1, event=0x1) at XlibInt.c:2846
> #2  0x40200ce4 in _XError (dpy=0x8054328, rep=0xbffff390) at XlibInt.c:2898
> #3  0x401ff243 in _XReply (dpy=0x8054328, rep=0xbffff390, extra=0, discard=1)
>     at XlibInt.c:1787
> #4  0x401fa4d4 in XSync (dpy=0x8054328, discard=0) at Sync.c:45
> #5  0x401fa595 in _XSyncFunction (dpy=0x1) at Synchro.c:34
> #6  0x401de485 in XChangeProperty (dpy=0x8054328, w=1, property=1, type=1,
>     format=1, mode=1, data=0xbffff450 "\b\002", nelements=18) at ChProp.c:104

Thanks for the backtrace!  I have a question and a request:

1) Were you running the X client with the -sync option?

2) When you get the opportunity, can you provide a backtrace with the
   local variables included?  "bt full" will do this.  I don't see any
   obvious null pointers in the argument list to XChangeProperty(), so
   perhaps the problem is inside the function body.

-- 
G. Branden Robinson                |    Ambition: an overmastering desire
Debian GNU/Linux                   |    to be vilified by enemies while
branden@debian.org                 |    living and ridiculed by friends
http://people.debian.org/~branden/ |    when dead.        -- Ambrose Bierce
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #43 received at 216933-quiet@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Branden Robinson <branden@debian.org>, 216933-quiet@bugs.debian.org
Subject: Re: Bug#216933: full backtrace
Date: Mon, 27 Oct 2003 12:59:50 -0500
[Message part 1 (text/plain, inline)]
Branden Robinson wrote:
> On Sun, Oct 26, 2003 at 06:20:28PM -0500, Joey Hess wrote:
> > Breakpoint 9, 0x402bd9b6 in exit () from /lib/libc.so.6
> > (gdb) bt
> > #0  0x402bd9b6 in exit () from /lib/libc.so.6
> > #1  0x40200beb in _XDefaultError (dpy=0x1, event=0x1) at XlibInt.c:2846
> > #2  0x40200ce4 in _XError (dpy=0x8054328, rep=0xbffff390) at XlibInt.c:2898
> > #3  0x401ff243 in _XReply (dpy=0x8054328, rep=0xbffff390, extra=0, discard=1)
> >     at XlibInt.c:1787
> > #4  0x401fa4d4 in XSync (dpy=0x8054328, discard=0) at Sync.c:45
> > #5  0x401fa595 in _XSyncFunction (dpy=0x1) at Synchro.c:34
> > #6  0x401de485 in XChangeProperty (dpy=0x8054328, w=1, property=1, type=1,
> >     format=1, mode=1, data=0xbffff450 "\b\002", nelements=18) at ChProp.c:104
> 
> Thanks for the backtrace!  I have a question and a request:
> 
> 1) Were you running the X client with the -sync option?

Yes I was.

> 2) When you get the opportunity, can you provide a backtrace with the
>    local variables included?  "bt full" will do this.  I don't see any
>    obvious null pointers in the argument list to XChangeProperty(), so
>    perhaps the problem is inside the function body.

Ok, will do so next time.

FWIW, after getting that backtrace, I let the system stay up with X
screwed for 6 hours, before rebooting to fix it. So it doesn't always
magically fix itself in 15 minutes. :-(

I also found one X program that I could start despite the fuckage:
unclutter -root -grab.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #48 received at 216933-quiet@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Branden Robinson <branden@debian.org>, 216933-quiet@bugs.debian.org
Subject: Re: Bug#216933: full backtrace
Date: Mon, 27 Oct 2003 13:15:55 -0500
[Message part 1 (text/plain, inline)]
Damnit, that didn't take long.

joey@dragon: LD_LIBRARY_PATH=/usr/X11R6/lib/debug/ gdb ./xlogo
GNU gdb 6.0-debian
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-linux"...
(gdb) b exit
Breakpoint 1 at 0x804902c
(gdb) r -sync
Starting program: /home/joey/tmp/xlogo/xlogo -sync
Breakpoint 1 at 0x402bd9b6
X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Serial number of failed request:  29
  Current serial number in output stream:  30

Breakpoint 1, 0x402bd9b6 in exit () from /lib/libc.so.6
(gdb) bt full
#0  0x402bd9b6 in exit () from /lib/libc.so.6
No symbol table info available.
#1  0x40200beb in _XDefaultError (dpy=0x1, event=0x1) at XlibInt.c:2846
No locals.
#2  0x40200ce4 in _XError (dpy=0x8054328, rep=0xbffff390) at XlibInt.c:2898
	rtn_val = 1076436768
	event = {type = 0, xany = {type = 0, serial = 134562600, 
    send_event = 33554433, display = 0x1d, window = 3204452880}, xkey = {
    type = 0, serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, root = 1073785761, subwindow = 1075618204, time = 1, 
    x = 1, y = 1076432168, x_root = -1073745144, y_root = 1075961327, 
    state = 134546184, keycode = 3221222288, same_screen = 32}, xbutton = {
    type = 0, serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, root = 1073785761, subwindow = 1075618204, time = 1, 
    x = 1, y = 1076432168, x_root = -1073745144, y_root = 1075961327, 
    state = 134546184, button = 3221222288, same_screen = 32}, xmotion = {
    type = 0, serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, root = 1073785761, subwindow = 1075618204, time = 1, 
    x = 1, y = 1076432168, x_root = -1073745144, y_root = 1075961327, 
    state = 134546184, is_hint = -112 '\220', same_screen = 32}, xcrossing = {
    type = 0, serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, root = 1073785761, subwindow = 1075618204, time = 1, 
---Type <return> to continue, or q <return> to quit---
    x = 1, y = 1076432168, x_root = -1073745144, y_root = 1075961327, 
    mode = 134546184, detail = -1073745008, same_screen = 32, 
    focus = 1076527054, state = 3221222656}, xfocus = {type = 0, 
    serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, mode = 1073785761, detail = 1075618204}, xexpose = {
    type = 0, serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, x = 1073785761, y = 1075618204, width = 1, 
    height = 1, count = 1076432168}, xgraphicsexpose = {type = 0, 
    serial = 134562600, send_event = 33554433, display = 0x1d, 
    drawable = 3204452880, x = 1073785761, y = 1075618204, width = 1, 
    height = 1, count = 1076432168, major_code = -1073745144, 
    minor_code = 1075961327}, xnoexpose = {type = 0, serial = 134562600, 
    send_event = 33554433, display = 0x1d, drawable = 3204452880, 
    major_code = 1073785761, minor_code = 1075618204}, xvisibility = {
    type = 0, serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, state = 1073785761}, xcreatewindow = {type = 0, 
    serial = 134562600, send_event = 33554433, display = 0x1d, 
    parent = 3204452880, window = 1073785761, x = 1075618204, y = 1, 
    width = 1, height = 1076432168, border_width = -1073745144, 
    override_redirect = 1075961327}, xdestroywindow = {type = 0, 
    serial = 134562600, send_event = 33554433, display = 0x1d, 
    event = 3204452880, window = 1073785761}, xunmap = {type = 0, 
---Type <return> to continue, or q <return> to quit---
    serial = 134562600, send_event = 33554433, display = 0x1d, 
    event = 3204452880, window = 1073785761, from_configure = 1075618204}, 
  xmap = {type = 0, serial = 134562600, send_event = 33554433, display = 0x1d, 
    event = 3204452880, window = 1073785761, override_redirect = 1075618204}, 
  xmaprequest = {type = 0, serial = 134562600, send_event = 33554433, 
    display = 0x1d, parent = 3204452880, window = 1073785761}, xreparent = {
    type = 0, serial = 134562600, send_event = 33554433, display = 0x1d, 
    event = 3204452880, window = 1073785761, parent = 1075618204, x = 1, 
    y = 1, override_redirect = 1076432168}, xconfigure = {type = 0, 
    serial = 134562600, send_event = 33554433, display = 0x1d, 
    event = 3204452880, window = 1073785761, x = 1075618204, y = 1, width = 1, 
    height = 1076432168, border_width = -1073745144, above = 1075961327, 
    override_redirect = 134546184}, xgravity = {type = 0, serial = 134562600, 
    send_event = 33554433, display = 0x1d, event = 3204452880, 
    window = 1073785761, x = 1075618204, y = 1}, xresizerequest = {type = 0, 
    serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, width = 1073785761, height = 1075618204}, 
  xconfigurerequest = {type = 0, serial = 134562600, send_event = 33554433, 
    display = 0x1d, parent = 3204452880, window = 1073785761, x = 1075618204, 
    y = 1, width = 1, height = 1076432168, border_width = -1073745144, 
    above = 1075961327, detail = 134546184, value_mask = 3221222288}, 
  xcirculate = {type = 0, serial = 134562600, send_event = 33554433, 
---Type <return> to continue, or q <return> to quit---
    display = 0x1d, event = 3204452880, window = 1073785761, 
    place = 1075618204}, xcirculaterequest = {type = 0, serial = 134562600, 
    send_event = 33554433, display = 0x1d, parent = 3204452880, 
    window = 1073785761, place = 1075618204}, xproperty = {type = 0, 
    serial = 134562600, send_event = 33554433, display = 0x1d, 
    window = 3204452880, atom = 1073785761, time = 1075618204, state = 1}, 
  xselectionclear = {type = 0, serial = 134562600, send_event = 33554433, 
    display = 0x1d, window = 3204452880, selection = 1073785761, 
    time = 1075618204}, xselectionrequest = {type = 0, serial = 134562600, 
    send_event = 33554433, display = 0x1d, owner = 3204452880, 
    requestor = 1073785761, selection = 1075618204, target = 1, property = 1, 
    time = 1076432168}, xselection = {type = 0, serial = 134562600, 
    send_event = 33554433, display = 0x1d, requestor = 3204452880, 
    selection = 1073785761, target = 1075618204, property = 1, time = 1}, 
  xcolormap = {type = 0, serial = 134562600, send_event = 33554433, 
    display = 0x1d, window = 3204452880, colormap = 1073785761, 
    new = 1075618204, state = 1}, xclient = {type = 0, serial = 134562600, 
    send_event = 33554433, display = 0x1d, window = 3204452880, 
    message_type = 1073785761, format = 1075618204, data = {
      b = "\001\000\000\000\001\000\000\000(\r)@\bóÿ¿ïÝ!@", s = {1, 0, 1, 0, 
        3368, 16425, -3320, -16385, -8721, 16417}, l = {1, 1, 1076432168, 
        -1073745144, 1075961327}}}, xmapping = {type = 0, serial = 134562600, 
---Type <return> to continue, or q <return> to quit---
    send_event = 33554433, display = 0x1d, window = 3204452880, 
    request = 1073785761, first_keycode = 1075618204, count = 1}, xerror = {
    type = 0, display = 0x8054328, resourceid = 33554433, serial = 29, 
    error_code = 16 '\020', request_code = 18 '\022', minor_code = 0 '\0'}, 
  xkeymap = {type = 0, serial = 134562600, send_event = 33554433, 
    display = 0x1d, window = 3204452880, 
    key_vector = "¡«\000@\234¡\034@\001\000\000\000\001\000\000\000(\r)@\bóÿ¿ïÝ!@\b\003\005\b"}, pad = {0, 134562600, 33554433, 29, -1090514416, 1073785761, 
    1075618204, 1, 1, 1076432168, -1073745144, 1075961327, 134546184, 
    -1073745008, 32, 1076527054, -1073744640, 1076433320, 712, 1075654656, 
    1075642484, 1076432168, 0, 134562600}}
	async = (_XAsyncHandler *) 0x0
	next = (_XAsyncHandler *) 0x40291f20
#3  0x401ff243 in _XReply (dpy=0x8054328, rep=0xbffff390, extra=0, discard=1)
    at XlibInt.c:1787
	ext = (_XExtension *) 0x0
	ret = 0
	ret_code = -1073744928
	serial = 29
	cur_request = 30
	cvl = (struct _XCVList *) 0x0
#4  0x401fa4d4 in XSync (dpy=0x8054328, discard=0) at Sync.c:45
---Type <return> to continue, or q <return> to quit---
	rep = {type = 0 '\0', revertTo = 16 '\020', sequenceNumber = 29, 
  length = 33554433, focus = 135397376, pad1 = 0, pad2 = 1, pad3 = 536870933, 
  pad4 = 143808928, pad5 = 16}
#5  0x401fa595 in _XSyncFunction (dpy=0x1) at Synchro.c:34
No locals.
#6  0x401de485 in XChangeProperty (dpy=0x8054328, w=1, property=1, type=1, 
    format=1, mode=1, data=0xbffff450 "\b\002", nelements=18) at ChProp.c:104
	len = 72
#7  0x40207c77 in XSetWMSizeHints (dpy=0x1, w=1, hints=0x1, prop=1)
    at SetNrmHint.c:95
	data = {flags = 520, x = 0, y = 0, width = 100, height = 100, 
  minWidth = 0, minHeight = 0, maxWidth = 0, maxHeight = 0, widthInc = 0, 
  heightInc = 0, minAspectX = 0, minAspectY = 0, maxAspectX = 0, 
  maxAspectY = 0, baseWidth = 0, baseHeight = 0, winGravity = 1}
#8  0x40207cb6 in XSetWMNormalHints (dpy=0x1, w=1, hints=0x1)
    at SetNrmHint.c:106
No locals.
#9  0x4020881a in XSetWMProperties (dpy=0x8054328, w=33554433, 
    windowName=0xbffff690, iconName=0xbffff690, argv=0x8057e38, argc=1, 
    sizeHints=0x80597c0, wmHints=0x80578a4, classHints=0xbffff678)
    at WMProps.c:111
	textprop = {value = 0xbffff500 "dragon", encoding = 31, format = 8, 
---Type <return> to continue, or q <return> to quit---
  nitems = 6}
	hostName = "dragon\000\000`Ú;@ðÏ;@", '\0' <repeats 12 times>, "¢m\035@ä \035@ôÓ\034@\000 \034@\023\000\000\000\020\223?@\000K\001@\fT\022@\000öÿ¿Àõÿ¿ót\000@\002%\024@c\r\016\017äð\023@¨õÿ¿\210N\001@\f\000\000\000\001\000\000\000\000\000\000\000\001\000\000\000\023\000\000\000\000\000\000\000¨õÿ¿(\r)@ÐÑ!@\a\000\000\000@öÿ¿\000\000\000\000c\r\016\017pR\022@\002%\024@¸õÿ¿±B0@\b\003\005\b@öÿ¿d\005\035@\000 \034@¼Ú;@\000K\001@°\225?@pR\022@\020öÿ¿¡«\000@\fT"...
	len = 6
	locale = 0xbffff690 "(~\005\b\037"
#10 0x4016f5ae in _popup_set_prop (w=0x80577b0) at Shell.c:1487
	p = 0x80577b0
	icon_name = {value = 0x8057e28 "xlogo", encoding = 31, format = 8, 
  nitems = 5}
	window_name = {value = 0x8056388 "xlogo", encoding = 31, format = 8, 
  nitems = 5}
	argv = (char **) 0x403b9f27
	argc = 0
	size_hints = (XSizeHints *) 0x80597c0
	window_group = 1
	classhint = {res_name = 0x804de5a "xlogo", 
  res_class = 0x804de60 "XLogo"}
	copied_iname = 0 '\0'
---Type <return> to continue, or q <return> to quit---
	copied_wname = 0 '\0'
#11 0x4016eeb5 in Realize (wid=0x80577b0, vmask=0x1, attr=0xbffff790)
    at Shell.c:1239
	mask = 10266
#12 0x40114b06 in XawVendorShellRealize (wid=0x80577b0, vmask=0x1, attr=0x1)
    at Vendor.c:378
	super = 0x0
#13 0x4015d87a in RealizeWidget (widget=0x80577b0) at Intrinsic.c:329
	value_mask = 10266
	values = {background_pixmap = 1, background_pixel = 13771314, 
  border_pixmap = 3221223352, border_pixel = 0, bit_gravity = 1, 
  win_gravity = 134583880, backing_store = 1073827540, 
  backing_planes = 1075361456, backing_pixel = 1, save_under = 1074875776, 
  event_mask = 6422576, do_not_propagate_mask = 1075173025, 
  override_redirect = 134576048, colormap = 32, cursor = 134577532}
	realize = 0x40114ad0 <XawVendorShellRealize>
	window = 1
	display = (Display *) 0x8054328
	class_name = 0x401866c1 "SessionShell"
	hookobj = 0x40114ad0
#14 0x4015dbd0 in XtRealizeWidget (widget=0x80577b0) at Intrinsic.c:408
	app = 0x0
---Type <return> to continue, or q <return> to quit---
#15 0x080493c1 in main (argc=1, argv=0xbffff894) at xlogo.c:131
	toplevel = 0x80577b0
	app_con = 0x804f6f8

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #53 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Subject: update; log
Date: Tue, 4 Nov 2003 15:35:39 -0500
[Message part 1 (text/plain, inline)]
I'm not sure why this bug is tagged moreinfo; I have responded to all
requests for information.

Since I reported the bug, I have begun keeping a log of each occurance,
to try to work out what triggers it. I cannot see a pattern though. Here
is my current log:

26 Oct

fail: 5:10 pm
action: had just closed 4 tabs in firebird, switched to xterm, ran
        freecraft, died on startuo
resolution: waited until 9:30pm, no change
	noticed that unclutter can be run and works despite X problems
	reboot @12:19 am

27 Oct

fail: ~1:10 pm
action: browsing in firebird
resolution: fixed itself by ~1:30 pm

28 Oct

fail: 3:02 pm
action: using xchat's menus
resoluttion: fixed itself by 3:50 pm (possibly 20 minutes earlier)

fail: 7:30 pm
action: opening xmms file selector
resolution: reboot @10:26 pm

29 Oct

fail: 1:54 pm
action: switching to firebird
resolution: remained broken until at least 4:30 pm; fixed itself by 5:57 pm

fail: 7:14 pm
action: opening a web page in firebird
resolution: reboot @8:24 pm

30-31 Oct

No occurrances depsite frequent use of all programs mentioned above in log.

1 Nov

fail: 8:14 pm
action: had just booted, ran bochs
resolution: immediate reboot

fail: 9:07 pm
action: starting bochs
resolution: immediate reboot :-(

2 Nov

fail: 6 pm
action: starting bochs for the N+1th time today
resolution: immediate reboot :-(

3 Nov

fail: 11:30 am
action: using xchat
resoluton: immediate reboot

fail: 10:43 pm
uptime: 3:50
action: starting vmware config wizard, after just starting vmware
resolution: immediate reboot

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Tags removed: moreinfo Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#216933. Full text and rfc822 format available.

Message #60 received at 216933-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 216933-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#216933: update; log
Date: Tue, 4 Nov 2003 23:14:12 -0500
[Message part 1 (text/plain, inline)]
tag 216933 - moreinfo
tag 216933 + help
thanks

On Tue, Nov 04, 2003 at 03:35:39PM -0500, Joey Hess wrote:
> I'm not sure why this bug is tagged moreinfo; I have responded to all
> requests for information.

Sorry, it's only tagged that way because I forgot to untag it.

-- 
G. Branden Robinson                |    America is at that awkward stage.
Debian GNU/Linux                   |    It's too late to work within the
branden@debian.org                 |    system, but too early to shoot the
http://people.debian.org/~branden/ |    bastards.           -- Claire Wolfe
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Siward <siward.via@freeler.nl>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #65 received at 216933@bugs.debian.org (full text, mbox):

From: Siward <siward.via@freeler.nl>
To: Joey Hess <joeyh@debian.org>, 216933@bugs.debian.org
Subject: Re: Bug#216933: update; log
Date: Thu, 6 Nov 2003 00:23:34 +0100
 Hi Joey,

 here's my 2c , just a long shot ...
 did you consider that it could be a hardware problem,
   e.g. in the videocard ?
 i heard of thermal defects that can do things like this,
   e.g. a cracked solderjoint opening/closing a connection
   depending on temperature 
 if you take your harddisk to another box,
   then does problem appear at that box ?
 anything unusual about 30-31 oct ?
   (all bugs went on strike to protest harassment by debian developers ? :-)

 i hope this helps,

 Siward

> 26 Oct>> fail: 5:10 pm; waited until 9:30pm>reboot @12:19 am
> 27 Oct>> fail: ~1:10 pm> fixed itself ~1:30 pm
> 28 Oct>> fail: 3:02 pm> fixed itself by 3:50 pm
            >> fail: 7:30 pm>reboot@10:26 pm
> 29 Oct>> fail: 1:54 pm> fixed itself by 5:57 pm
            >> fail: 7:14 pm> reboot @8:24 pm
>> 30-31 Oct
> 1 Nov>> fail: 8:14 pm> immediate reboot
           >> fail: 9:07 pm> immediate reboot 
> 2 Nov>> fail: 6 pm> immediate reboot
> 3 Nov>> fail: 11:30 am> immediate reboot
           >> fail: 10:43 pm> uptime: 3:50 immediate reboot



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #70 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Siward <siward.via@freeler.nl>
Cc: 216933@bugs.debian.org
Subject: Re: Bug#216933: update; log
Date: Wed, 5 Nov 2003 19:09:13 -0500
[Message part 1 (text/plain, inline)]
Siward wrote:
>  here's my 2c , just a long shot ...
>  did you consider that it could be a hardware problem,
>    e.g. in the videocard ?
>  i heard of thermal defects that can do things like this,
>    e.g. a cracked solderjoint opening/closing a connection
>    depending on temperature 
>  if you take your harddisk to another box,
>    then does problem appear at that box ?
>  anything unusual about 30-31 oct ?
>    (all bugs went on strike to protest harassment by debian developers ? :-)

I suppose that this could be a hardware problem. Since my hardware is a
laptop, I have not tried something like running the hard drive elsewhere
and it's more complicated than isolating a potential hardware problem on
a desktop. I live in a very thermally varied environment, but there has
really been little special about the days it failed vs the days it did
not; more significantly it has failed at all times of day, which
involves temperature ranges of up +-40 degrees here. For example, on 3
Nov, the 11 am failure would have been around 70 degrees; the 11 pm
failure more like 45 degrees.

Perhaps I should try a proprietary X server, a different X driver
(VESA)? Or install X in a stable chroot. If I can reproduce the problems
in any of those, it would be a hardware or kernel problem, right now my
money is still on the X server.

(FWIW, I can reproduce the problem running X programs such as xterm,
from stable, on another computer with the DISPLAY set back to my laptop.)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #75 received at 216933@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Joey Hess <joeyh@debian.org>, 216933@bugs.debian.org
Cc: Siward <siward.via@freeler.nl>
Subject: Re: Bug#216933: update; log
Date: Thu, 06 Nov 2003 01:28:59 +0100
On Thu, 2003-11-06 at 01:09, Joey Hess wrote:
> 
> Perhaps I should try a proprietary X server, a different X driver
> (VESA)? Or install X in a stable chroot. If I can reproduce the problems
> in any of those, it would be a hardware or kernel problem, right now my
> money is still on the X server.

It's very unlikely related to drivers as they don't deal with the
protocol directly.


> (FWIW, I can reproduce the problem running X programs such as xterm,
> from stable, on another computer with the DISPLAY set back to my laptop.)

That would point to the server side then; FWIW, what about the opposite
scenario?


It does smell like a hardware (or at least kernel, libc, ...) problem to
me though.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Software libre enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #80 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michel Dänzer <daenzer@debian.org>
Cc: 216933@bugs.debian.org, Siward <siward.via@freeler.nl>
Subject: Re: Bug#216933: update; log
Date: Wed, 5 Nov 2003 21:24:51 -0500
[Message part 1 (text/plain, inline)]
Michel Dänzer wrote:
> On Thu, 2003-11-06 at 01:09, Joey Hess wrote:
> > 
> > Perhaps I should try a proprietary X server, a different X driver
> > (VESA)? Or install X in a stable chroot. If I can reproduce the problems
> > in any of those, it would be a hardware or kernel problem, right now my
> > money is still on the X server.
> 
> It's very unlikely related to drivers as they don't deal with the
> protocol directly.
> 
> 
> > (FWIW, I can reproduce the problem running X programs such as xterm,
> > from stable, on another computer with the DISPLAY set back to my laptop.)
> 
> That would point to the server side then; FWIW, what about the opposite
> scenario?

Running an xterm on my laptop with DISPLAY to another box? I'll try it
next time X hoses itself.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #85 received at 216933@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Michel Dänzer <daenzer@debian.org>, 216933@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, Siward <siward.via@freeler.nl>
Subject: Re: Bug#216933: update; log
Date: Thu, 6 Nov 2003 13:32:22 -0500
[Message part 1 (text/plain, inline)]
On Thu, Nov 06, 2003 at 01:28:59AM +0100, Michel Dänzer wrote:
> On Thu, 2003-11-06 at 01:09, Joey Hess wrote:
> > (FWIW, I can reproduce the problem running X programs such as xterm,
> > from stable, on another computer with the DISPLAY set back to my laptop.)
> 
> That would point to the server side then; FWIW, what about the opposite
> scenario?

Well, we already knew it was server side, because the problem was that a
plain-jane protocol request generated an error instead of a reply.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |       Extra territorium jus dicenti
branden@debian.org                 |       impune non paretur.
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Christopher Hart <hart@caltech.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #90 received at 216933@bugs.debian.org (full text, mbox):

From: Christopher Hart <hart@caltech.edu>
To: 216933@bugs.debian.org
Subject: Any resolution to this? I too have the problem.
Date: Fri, 12 Dec 2003 15:03:14 -0800
Hi,

I've been experiencing this exact problem stochastically as well.  Often
it seems that mozilla or mozilla-firebird seem to be the application
that breaks X for me.  However it isn't always mozilla that is the
culprit so clearly there may be a link, but its not the problem
directly.  As a hackish fix, I've taken to doing a
software-suspend/resume to recover with out have to do a clean reboot.
So what ever badness is causing this, it gets reset when you do a
software suspend.  I using the xlibs and xserver-xfree86 packages
version 4.2.1-12.1.   Any new leads on what the problem seems to be, and
perhaps how to fix it?  Anything I can do to help debug?

Thanks,
 --chris



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #95 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Cc: Christopher Hart <hart@caltech.edu>
Subject: more thoughts on the X_ChangeProperty problem
Date: Mon, 19 Jan 2004 12:43:50 -0500
[Message part 1 (text/plain, inline)]
It's almost encouraging to hear that Christopher Hart has the same
problem I do. I had begun to truely distrust my hardware. I wonder what
hardware Christopher is using?

I still see the problem, on a perhaps slightly less frequent basis, but
still every other day or so. I have not managed to correlate it with
changes in temperature, or much else except I agree with Christopher
that mozilla-firebird seems to often trigger it, as does xchat.

I had a horrible idea this morning, that almost makes sense. My lifefook
has a transmeta cpu in it, and this cpu has its code morhping
technology, which recompiles the i386 code on the fly to it internal
instruction set, and optimises it. As I understand it, the optimised
form is then used for that block of code as long as it remains cached,
even if a different program is started.

So: what if there is a bug in the optimizer, which generates incorrect
optimised code for either the X server, or X library, but only
sometimes. Some kind of math error might be involved. Once the badly
optimised code pops up, it would stay in the cache and this would
explain why even restarting X does not solve the problem. Presumably
certian workloads would knock it out of the cache, which would explain
the problem sometimes fixing itself. And rebooting the system (or
software suspending it) would likewise clear the cache.

This is a dreadful idea, but if true then I predict that Christopher has
a transmeta CPU as well. Frankly, I hope he doesn't..

Of course, I used X on this laptop for nearly 2 years before the problem
surfaced, so it could easily be that the optimisation bug is triggered
by something unlikely that has only recently been put in X, or in the
version of gcc used to build it.

Also, FWIW, I am now using the xserver-xfree86 4.3.0-0pre1v5 from
experimental, but am still using the old libraries, and have still
experienced the problem.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #100 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Cc: Christopher Hart <hart@caltech.edu>
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Mon, 19 Jan 2004 14:26:37 -0500
Joey Hess wrote:
> So: what if there is a bug in the optimizer, which generates incorrect
> optimised code for either the X server, or X library, but only
> sometimes. Some kind of math error might be involved. Once the badly
> optimised code pops up, it would stay in the cache and this would
> explain why even restarting X does not solve the problem. Presumably
> certian workloads would knock it out of the cache, which would explain
> the problem sometimes fixing itself. And rebooting the system (or
> software suspending it) would likewise clear the cache.

Something else that backs up this idea is that one impression I have
gotten is that if I stop trying to open X apps that are going to fail
for a while, but keep doing stuff, X seems to recover quicker. Which
would be consistent with the badly optimised hunk of code being thrown
out of the cache because it was not being used.

I'm going to switch my laptop over to suspend to disk instead of
suspend to ram, I suspect that would let me recover from the problem
posthaste by suspending and resuming the machine.

-- 
see shy jo



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #105 received at 216933@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Joey Hess <joeyh@debian.org>, 216933@bugs.debian.org
Cc: Christopher Hart <hart@caltech.edu>
Subject: Re: Bug#216933: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 00:48:26 +0100
On Mon, 2004-01-19 at 20:26, Joey Hess wrote:
> Joey Hess wrote:
> > So: what if there is a bug in the optimizer, which generates incorrect
> > optimised code for either the X server, or X library, but only
> > sometimes. Some kind of math error might be involved. Once the badly
> > optimised code pops up, it would stay in the cache and this would
> > explain why even restarting X does not solve the problem. Presumably
> > certian workloads would knock it out of the cache, which would explain
> > the problem sometimes fixing itself. And rebooting the system (or
> > software suspending it) would likewise clear the cache.
> 
> Something else that backs up this idea is that one impression I have
> gotten is that if I stop trying to open X apps that are going to fail
> for a while, but keep doing stuff, X seems to recover quicker. Which
> would be consistent with the badly optimised hunk of code being thrown
> out of the cache because it was not being used.

This is certainly the best theory I've heard so far. :\


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Åsmund Ødegård <aa@simula.no>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #110 received at 216933@bugs.debian.org (full text, mbox):

From: Åsmund Ødegård <aa@simula.no>
To: 216933@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, Christopher Hart <hart@caltech.edu>
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 10:47:41 +0100
Mon, 19 Jan skrev Joey Hess:
> It's almost encouraging to hear that Christopher Hart has the same
> problem I do. I had begun to truely distrust my hardware. I wonder what
> hardware Christopher is using?

[snip]

just like to tell you that I experience this problem as well. Even when only
running a couple of rxvt's and emacs. 

I have never managed to recover without a reboot though, but thats probably
because of impatience...

Hardware: laptop, Fujitsu lifebook p2120
x: 4.3.0-0pre1v5, but I had the same problem with the xserver-xfree86 from
   sid 

-- 
[simula.research laboratory]
                 Åsmund Ødegård
                 Scientific Programmer / Chief Sys.Adm
                 phone: 67828291 / 90069915
                 http://www.simula.no/~aasmundo
-- auto sig --
LEV 19:33  And if a stranger sojourn with thee in your land, ye shall not vex
 him.



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #115 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Åsmund Ødegård <aa@simula.no>
Cc: 216933@bugs.debian.org, Christopher Hart <hart@caltech.edu>
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 12:32:59 -0500
[Message part 1 (text/plain, inline)]
Åsmund Ødegård wrote:
> just like to tell you that I experience this problem as well. Even when only
> running a couple of rxvt's and emacs. 
> 
> I have never managed to recover without a reboot though, but thats probably
> because of impatience...
> 
> Hardware: laptop, Fujitsu lifebook p2120
> x: 4.3.0-0pre1v5, but I had the same problem with the xserver-xfree86 from
>    sid 

When did you start having the problem? I assume you're tracking sid; I
first saw it this fall.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Christopher Hart <hart@caltech.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #120 received at 216933@bugs.debian.org (full text, mbox):

From: Christopher Hart <hart@caltech.edu>
To: Joey Hess <joeyh@debian.org>
Cc: ?smund ?deg?rd <aa@simula.no>, 216933@bugs.debian.org, Christopher Hart <hart@caltech.edu>
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 10:10:46 -0800
> > 
> > Hardware: laptop, Fujitsu lifebook p2120
> > x: 4.3.0-0pre1v5, but I had the same problem with the xserver-xfree86 from
> >    sid 

The trend continues...  I also have a lifebook p2120.  However I'm
running xserver-xfree86: 4.2.1-12.1.  

> When did you start having the problem? I assume you're tracking sid; I
> first saw it this fall.

I also started having this problem just this fall.   The tranmetta
code-morphing bug is still plausible, but unless Joe's laptop is
significantly different from the p2120 a variety of the other components
might be at fault.    

  --chris



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #125 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Christopher Hart <hart@caltech.edu>
Cc: ?smund ?deg?rd <aa@simula.no>, 216933@bugs.debian.org
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 13:36:32 -0500
[Message part 1 (text/plain, inline)]
Christopher Hart wrote:
> > > 
> > > Hardware: laptop, Fujitsu lifebook p2120
> > > x: 4.3.0-0pre1v5, but I had the same problem with the xserver-xfree86 from
> > >    sid 
> 
> The trend continues...  I also have a lifebook p2120.  However I'm
> running xserver-xfree86: 4.2.1-12.1.  

I forget whether I mentioned it, but mine is a lifeboot p2110.

> > When did you start having the problem? I assume you're tracking sid; I
> > first saw it this fall.
> 
> I also started having this problem just this fall.   The tranmetta
> code-morphing bug is still plausible, but unless Joe's laptop is
> significantly different from the p2120 a variety of the other components
> might be at fault.    

It seems unlikely to me that we all experienced a similar hardware
problem this fall. What other components did you have in mind?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Christopher Hart <hart@caltech.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #130 received at 216933@bugs.debian.org (full text, mbox):

From: Christopher Hart <hart@caltech.edu>
To: Joey Hess <joeyh@debian.org>
Cc: Christopher Hart <hart@caltech.edu>, ?smund ?deg?rd <aa@simula.no>, 216933@bugs.debian.org
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 10:51:13 -0800
> > I also started having this problem just this fall.   The tranmetta
> > code-morphing bug is still plausible, but unless Joe's laptop is
> > significantly different from the p2120 a variety of the other components
> > might be at fault.    
> 
> It seems unlikely to me that we all experienced a similar hardware
> problem this fall. What other components did you have in mind?

I guess all I can think of is our video card, I think we've all got the
same ATI Rage mobility M-1.   

  --chris



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #135 received at 216933@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Christopher Hart <hart@caltech.edu>, 216933@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, ?smund ?deg?rd <aa@simula.no>
Subject: Re: Bug#216933: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 21:12:59 +0100
On Tue, 2004-01-20 at 19:51, Christopher Hart wrote:
> > > I also started having this problem just this fall.   The tranmetta
> > > code-morphing bug is still plausible, but unless Joe's laptop is
> > > significantly different from the p2120 a variety of the other components
> > > might be at fault.    
> > 
> > It seems unlikely to me that we all experienced a similar hardware
> > problem this fall. What other components did you have in mind?
> 
> I guess all I can think of is our video card, I think we've all got the
> same ATI Rage mobility M-1.   

That's very unlikely (the code which generates that error doesn't have
anything to do with the graphics chip directly), Joey's theory seems
much more likely to me.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to aasmund@simula.no (Åsmund Ødegård):
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #140 received at 216933@bugs.debian.org (full text, mbox):

From: aasmund@simula.no (Åsmund Ødegård)
To: Joey Hess <joeyh@debian.org>
Cc: 216933@bugs.debian.org, Christopher Hart <hart@caltech.edu>
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 22:44:23 +0100
Tue, 20 Jan skrev Joey Hess ned dette:

JH> Åsmund Ødegård wrote:
>> just like to tell you that I experience this problem as well. Even when only
>> running a couple of rxvt's and emacs. 
>> 
>> I have never managed to recover without a reboot though, but thats probably
>> because of impatience...
>> 
>> Hardware: laptop, Fujitsu lifebook p2120
>> x: 4.3.0-0pre1v5, but I had the same problem with the xserver-xfree86 from
>> sid 

JH> When did you start having the problem? I assume you're tracking sid; I
JH> first saw it this fall.

I'm not sure. Sometime before christmas for sure, but maybe as early as
sept/october. Now its so annoying that I have started looking after some
fix...

Btw, today I did a /etc/init.d/gdm stop and used another computer for an hour
or so, after that X worked again, as you guys suggested. 

mvh,
-- 
[simula.research laboratory]
                 Åsmund Ødegård
                 IT-sjef / IT-Manager
                 phone: 67828291 / 90069915
                 http://www.simula.no/
-- auto sig --
MAT 22:22  When they had heard these words, they marvelled, and left him, and
 went their way.



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to aasmund@simula.no (Åsmund Ødegård):
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #145 received at 216933@bugs.debian.org (full text, mbox):

From: aasmund@simula.no (Åsmund Ødegård)
To: Michel Dänzer <daenzer@debian.org>
Cc: Christopher Hart <hart@caltech.edu>, 216933@bugs.debian.org, Joey Hess <joeyh@debian.org>, ?smund ?deg?rd <aa@simula.no>
Subject: Re: Bug#216933: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 22:47:44 +0100
Tue, 20 Jan skrev Michel Dänzer ned dette:

MD> On Tue, 2004-01-20 at 19:51, Christopher Hart wrote:
>> > > I also started having this problem just this fall.   The tranmetta
>> > > code-morphing bug is still plausible, but unless Joe's laptop is
>> > > significantly different from the p2120 a variety of the other components
>> > > might be at fault.    
>> > 
>> > It seems unlikely to me that we all experienced a similar hardware
>> > problem this fall. What other components did you have in mind?
>> 
>> I guess all I can think of is our video card, I think we've all got the
>> same ATI Rage mobility M-1.   

MD> That's very unlikely (the code which generates that error doesn't have
MD> anything to do with the graphics chip directly), Joey's theory seems
MD> much more likely to me.

I wonder, is it debian-related, or do all linux/X users with P21{1,2}0 have
this problem.

Have any of you posted on some P21xx forums?


-- 
[simula.research laboratory]
                 Åsmund Ødegård
                 IT-sjef / IT-Manager
                 phone: 67828291 / 90069915
                 http://www.simula.no/
-- auto sig --
ACT 11:7  And I heard a voice saying unto me, Arise, Peter; slay and eat.



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #150 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Åsmund Ødegård <aasmund@simula.no>
Cc: 216933@bugs.debian.org, Christopher Hart <hart@caltech.edu>
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Tue, 20 Jan 2004 19:10:05 -0500
[Message part 1 (text/plain, inline)]
Google has one relevant hit for "BadLength (poly request too large or
internal Xlib length error) fujitsu": http://linuxquestions.org/questions/history/116108

Another Fujitsu P2110, running slackware.
X began "crashing" after he upgraded from slackare 9 to 10.

He decided that an ATI patch from http://www.retinalburn.net/linux/ was
the root of the problem. I don't know if Debian's X has a similar patch.

It might be worth a try to downgrade the X server to version 4.2.1-12 or
4.2.1-11 and see if we can track down exactly when it broke and whether
older versions avoid the problem. I first saw the problem with
4.2.1-12.1, I think. I have installed 4.2.1-11 from snapshot.debian.net
and will try it for a while or until the first BadLength crash..

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #155 received at 216933@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Joey Hess <joeyh@debian.org>, 216933@bugs.debian.org
Cc: Åsmund Ødegård <aasmund@simula.no>, Christopher Hart <hart@caltech.edu>
Subject: Re: Bug#216933: more thoughts on the X_ChangeProperty problem
Date: Wed, 21 Jan 2004 03:39:10 +0100
On Wed, 2004-01-21 at 01:10, Joey Hess wrote:
> Google has one relevant hit for "BadLength (poly request too large or
> internal Xlib length error) fujitsu": http://linuxquestions.org/questions/history/116108
> 
> Another Fujitsu P2110, running slackware.
> X began "crashing" after he upgraded from slackare 9 to 10.
> 
> He decided that an ATI patch from http://www.retinalburn.net/linux/ was
> the root of the problem.

That was only his first guess, read his last post with the heading
'SOLUTION'.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Christopher Hart <hart@caltech.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #160 received at 216933@bugs.debian.org (full text, mbox):

From: Christopher Hart <hart@caltech.edu>
To: Joey Hess <joeyh@debian.org>
Cc: ?smund ?deg?rd <aa@simula.no>, 216933@bugs.debian.org, Christopher Hart <hart@caltech.edu>
Subject: Re: more thoughts on the X_ChangeProperty problem
Date: Wed, 21 Jan 2004 02:16:59 -0800
So this evening I've hit the bug - 3 times.  I'm not doing anything
special, but I did stumble upon an interesting quark to the problem.
Xine works after the "crash".  If I run xclock - I get the the standard:

--- begin paste ---
X Error of failed request:  BadLength (poly request too large or
internal Xlib length error)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Serial number of failed request:  31
  Current serial number in output stream:  34
--- end past ---

If I run xine, it works!?  In case its informative, here is the log - note the
xiTK warning at the end.  Interestingly, neither gxine or mplayer work...  even
using the x11 or xv video drivers (the same ones that worked with xine).

-- begin paste--

This is xine (X11 gui) - a free video player v0.9.21
(c) 2000-2003 by G. Bartsch and the xine project team.
Built with xine library 1.0.0 (1-beta12)
Found xine library version: 1.0.0 (1-rc2).
XServer Vendor: The XFree86 Project, Inc. Release: 40201001,
        Protocol Version: 11, Revision: 0,
        Available Screen(s): 1, using 0
        Depth: 16.
        XShmQueryVersion: 1.1.
-[ xiTK version 0.10.3 ]-
-[ xiTK will use XShm ]-
-[ WM type: dtwm ]-
Display is not using Xinerama.
deinterlace: Greedy disabled: required CPU accelleration features unavailable.
deinterlace: Greedy2Frame disabled: required CPU accelleration features unavailable.
deinterlace: Vertical disabled: required CPU accelleration features unavailable.
main: probing <alsa> audio output plugin
load_plugins: failed to load audio output plugin <alsa>
main: probing <oss> audio output plugin
xine_interface: unknown param 10
xine_interface: unknown param 10
xine_interface: unknown param 10
xine_interface: unknown param 10
video_out_xshm: tried to set unsupported property 2
xiTK WARNING(_x_error_handler:215): X error received: 'BadLength (poly request too large or internal Xlib length error)'
xiTK WARNING(xitk_image_create_xitk_pixmap_with_depth:231): XShmAttach() failed.

-- end paste --

<<<< here is the relevant packages for xine that I'm running >>>> 
ii  libxine0       0.9.13-3       the xine video/media player library, binary 
ii  libxine1       1-rc2-1        the xine video/media player library, binary 
ii  xine-dvdnav    0.9.8.beta-1   xine DVD plugin that is capable of Menus and
ii  xine-ui        0.9.21-2       the xine video player, user interface


Well.  Perhaps this can help someone isolate where the problem might be.
Otherwise, does someone have advice to what packages correspond to the
slackware "SOLUTION".

        --thanks, Chris



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #165 received at 216933@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Christopher Hart <hart@caltech.edu>, 216933@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, ?smund ?deg?rd <aa@simula.no>
Subject: Re: Bug#216933: more thoughts on the X_ChangeProperty problem
Date: Wed, 21 Jan 2004 15:09:16 +0100
On Wed, 2004-01-21 at 11:16, Christopher Hart wrote:
> So this evening I've hit the bug - 3 times.  I'm not doing anything
> special, but I did stumble upon an interesting quark to the problem.
> Xine works after the "crash".

[...]

> xiTK WARNING(_x_error_handler:215): X error received: 'BadLength (poly request too large or internal Xlib length error)'

xine seems to be able to deal with the error; many (most?) X apps don't
do any error handling, so AFAIK they get killed by the default libX11
error handler.

> xiTK WARNING(xitk_image_create_xitk_pixmap_with_depth:231): XShmAttach() failed.

If this is related, it could point to shared memory?


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #170 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Michel Dänzer <daenzer@debian.org>
Cc: Christopher Hart <hart@caltech.edu>, 216933@bugs.debian.org, ?smund ?deg?rd <aa@simula.no>
Subject: Re: Bug#216933: more thoughts on the X_ChangeProperty problem
Date: Wed, 21 Jan 2004 12:21:31 -0500
[Message part 1 (text/plain, inline)]
Michel Dänzer wrote:
> > xiTK WARNING(_x_error_handler:215): X error received: 'BadLength (poly request too large or internal Xlib length error)'
> 
> xine seems to be able to deal with the error; many (most?) X apps don't
> do any error handling, so AFAIK they get killed by the default libX11
> error handler.

Oh, hmm, I suppose that explains why ion-devel (my window manager) also
deals with the problem despite spewing errors every window switch.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Ole Myren Rohne <ole.rohne@cern.ch>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #175 received at 216933@bugs.debian.org (full text, mbox):

From: Ole Myren Rohne <ole.rohne@cern.ch>
To: 216933@bugs.debian.org
Subject: Another datapoint...
Date: Thu, 22 Jan 2004 16:53:51 +0100
I also see the annoying BadLength/X_ChangeProperty on my p2120/ATI 
Radeom M6/XFree86 4.3.0 (Fedora). I've experimented a little, and at one 
point I had two displays running simultaneously, one showing the problem 
and the other not. This was with two different executables, the standard 
one and an executable made with "makeg" (link step only).

Ole




Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #180 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Subject: update
Date: Tue, 27 Jan 2004 16:15:57 -0500
[Message part 1 (text/plain, inline)]
I downgraded the X server to 4.2.1-11, and did not see the problem for
nearly a week, but it has just reared its ugly head again, so that
didn't fix it. I will go back to -10 now..

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to jesse crocker <jesse-debian@spam.thisside.net>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #185 received at 216933@bugs.debian.org (full text, mbox):

From: jesse crocker <jesse-debian@spam.thisside.net>
To: 216933@bugs.debian.org
Subject: also experiencing the same error
Date: Wed, 28 Jan 2004 14:36:16 -0800
[Message part 1 (text/plain, inline)]
I have been experiencing this same error on my sony vaio u1.
It has been happening for at least 2 months.
I am running unstable, and currently have xlibs 4.2.1-15.

Like the others reporting this bug i also has a transmeta cpu.
I have a "ATI Technologies Inc Radeon Mobility M6 LY" video card.

Some times i am able to restart X and it works, sometimes logging out and back
in seems to fix it, but most of the time i have to reboot.
here is the output from x after it crashed and i attempted to restart it:

Not loading .note.GNU-stack
Not loading .note(EE) RADEON(0): [agp] AGP not available
(EE) RADEON(0): [drm] failed to remove DRM signal handler
DRIUnlock called when not locked
The program 'gkrellm' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadLength (poly request too large or internal Xlib length erro'.
  (Details: serial 28 error_code 16 request_code 18 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)



It doesn't seem to matter what window manager im using.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #190 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Subject: followup
Date: Mon, 23 Feb 2004 13:48:28 -0500
[Message part 1 (text/plain, inline)]
I've been using xserver-xfree86 4.2.1-10 for weeks, and it worked great
until today, when firebird died with a badlength error. Now dropping
back to 4.2.1-2, sigh.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Merged 216933 234556. Request was from Michel Dänzer <daenzer@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Obi <graziano@cs.ucsb.edu>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #197 received at 216933@bugs.debian.org (full text, mbox):

From: Obi <graziano@cs.ucsb.edu>
To: 216933@bugs.debian.org
Subject: Sigh, me too!
Date: Wed, 25 Feb 2004 22:10:37 -0800
I've been plagued with the BadLength error for sometimes now, and sure
enough I have a P2110. My machine has been quite stable for few years
before this BadLenght things, and I used to use the retinalburn DRI+Xv
patch to watch DVDs (sometimes without the DRI part), and I've never had
problems with it. 

So far I try different X configuration (4.2, 4.3 with various
XF86Config-4) to not avail. I tried different kernels too (settling now
on the 2.4.24 and 2.4.25 for security reasons). 

graziano


-- 
+-----------------------+--------------------------+
| Graziano Obertelli    | CS Dept. Rm 102          |
| graziano@cs.ucsb.edu  | University of California |
| (805) 893-5212        | Santa Barbara, CA 93106  |
+-----------------------+--------------------------+



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to simon@himi.org (Simon Fowler):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #202 received at 216933@bugs.debian.org (full text, mbox):

From: simon@himi.org (Simon Fowler)
To: 216933@bugs.debian.org
Subject: Same problem, similar hardware.
Date: Tue, 23 Mar 2004 12:15:05 +1100
[Message part 1 (text/plain, inline)]
I've got a P2120:
simon@hollie:~$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineTMx86
cpu family      : 6
model           : 4
model name      : Transmeta(tm) Crusoe(tm) Processor TM5800
stepping        : 3
cpu MHz         : 925.007
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr cx8 sep cmov mmx longrun
lrti
bogomips        : 1830.91

(II) Primary Device is: PCI 00:14:0
(II) ATI:  Candidate "Device" section "Radeon Mobility M6".

Brand new as of may last year.

I started seeing this problem some time fairly soon after getting
it, when I tried out the experimental 4.3 packages - I switched to
an X cvs tree and tracked that until recently, up to 4.3.99.12 or
so, after seeing this problem first with the 4.3 packages.

I've seen these errors repeatedly, with much the same symptoms. I've
found the problem persisting sometimes over a reboot, and the only
thing that's been fairly consistent in fixing the problem is
reinstalling X. I checked a full list of md5sums for everything in
my X install tree when it was working and when it failed, and there
were no differences, so it definitely isn't something changing on
the disk.

I'm currently using the X packages from Sid on a mainly testing box,
and I'm still seeing problems. Reinstalling (as in, apt-get
--reinstall install) all the packages xlibs depends on seems to fix
it.

Much though I'd prefer it to be something else, it does look like it
might be a problem with the TMTA cpus . . .

Simon

-- 
PGP public key Id 0x144A991C, or http://himi.org/stuff/himi.asc
(crappy) Homepage: http://himi.org
doe #237 (see http://www.lemuria.org/DeCSS) 
My DeCSS mirror: ftp://himi.org/pub/mirrors/css/ 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Karl Putland <karl@putland.linux-site.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #207 received at 216933@bugs.debian.org (full text, mbox):

From: Karl Putland <karl@putland.linux-site.net>
To: 216933@bugs.debian.org
Subject: also having this isue
Date: Tue, 20 Apr 2004 19:26:08 -0600
I'm not a debian user, but I've also got a fujitsu 2110 and have had
this issue with fedora C1, and gentoo 2004.0

gnome get totally hosed but kde seems to behave better.  With kde the
mouse leaves artifacts just before a crash and like the rest of you if I
wait for some period of time it seems to fix itself.  With kde at least
kde can be restarted without rebooting and it will work for a while.

There hasn't been a correlation between any particular activity and the
crashes but mozilla, firefox and xchat seem to aggravate the condition. 
I'd really love to find a resolution to this because I'm about to break
down and reinstall XP on this thing.

If I can help please let me know.

Thank

--Karl

-- 
Karl Putland <karl@putland.linux-site.net>




Bug reassigned from package `xlibs' to `libx11-6'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to 216933@bugs.debian.org, huggie@earth.li:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #216 received at 216933@bugs.debian.org (full text, mbox):

From: Simon Huggins <huggie@earth.li>
To: customersupport@transmeta.com
Cc: 216933@bugs.debian.org, joeyh@debian.org
Subject: XFree86 bug only seen on transmeta processors (BadLength from X_ChangeProperty request)
Date: Sat, 24 Jul 2004 15:12:44 +0100
Hi Transmeta, the X bug and Joey,

I'm contacting you as I'm not quite sure where to turn next.  I'm hoping
you'll pass this on to a Transmeta developer for me.

Somehow with the X packages for Debian, several laptops with Crusoe
chips appear to occasionally refuse to run X.  Once the bug occurs it
refuses to start until you reboot the laptop though occasionally even
then it will reoccur (does code morphing caching persist over reboots?).

The symptoms are very bizarre but include X crashing for certain calls
yet the only reports of this are on Crusoe chips so people are wondering
if it is your code morphing that is breaking X some how.

You can see the report at:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=216933

Joey Hess's comments in this bug and the similarity between all the
users having your chips have made me contact you.

The merged bug is at:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=234556

There's one that was reported to the freedesktop.org bugzilla at:
http://freedesktop.org/bugzilla/show_bug.cgi?id=455

I guess I'm asking if there are any known bugs in the revision of the
chip that I have (see below[0]) that I can fix with firmware upgrades or if
you have any idea what is causing this bug.  Is it possible there is a
bug in your code morphing which is causing this?

People have seen the bug on 2.4.x and 2.6.x and on a variety of graphic
chips.

I guess I'm clutching at straws really.  Do you have any idea what may
cause this?

Simon

[0] My laptop is a UK version of the Sharp MM10 which is called the
    Sharp MM1110.  It has a Silicon Motion, Inc. SM720 Lynx3DM (rev c1)
    as its graphics card.

My /proc/cpuinfo gives:

processor       : 0
vendor_id       : GenuineTMx86
cpu family      : 6
model           : 4
model name      : Transmeta(tm) Crusoe(tm) Processor TM5800
stepping        : 3
cpu MHz         : 993.333
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr cx8 sep cmov mmx longrun lrti
bogomips        : 1966.08

-- 
... "No manner of public opinion is likely to make me do what I do not
    think is right. Attempts at chastisement shall be met with flames that
    make your eyebrows curl." -- Manoj Srivastava on d-d



Message sent on to Joey Hess <joeyh@debian.org>:
Bug#216933. Full text and rfc822 format available.

Message #219 received at 216933-submitter@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Emmanuel Fleury <fleury@cs.auc.dk>, 261251@bugs.debian.org
Cc: control@bugs.debian.org, 216933-submitter@bugs.debian.org
Subject: Re: Bug#261251: xserver-xfree86: [ati/radeon+crusoe] Xclients are crashing at start
Date: Sat, 24 Jul 2004 20:04:03 +0200
priority 261251 normal
merge 261251 216933
thanks

On Sat, 2004-07-24 at 17:17 +0200, Emmanuel Fleury wrote:
> 
> I am hunting a very strange bug (probably hardware related). This bug
> has been reported by several people in bug #234556 as a bug of the
> xlibs package but I think I managed to push it down to the xserver
> package now (at least I believe so).

It's still the same bug though, why are you reporting it as a new one?
Merging with the existing bugs about this problem...

> This bug seems to appear only on architectures which contain a
> processor Transmeta Crusoe and/or a graphic card ATI Radeon Mobility
> (mine is a Radeon Mobility M6 LY). I should emphase the fact that we
> don't know which one from the Crusoe or the Radeon is responsible of
> this problem (in fact, I don't even know if it is hardware).

It's certainly not the graphics chip, as the code which generates the
error isn't even near the driver, let alone the hardware, and people are
seeing the problem with a variety of graphics chips, but only with
Transmeta CPUs.


> I compiled an Xserver with the debug options in order to follow what
> was going on inside the Xserver. I reached the specific mode where the
> bug was occurring and ran the Xserver with debug and... it worked. I
> mean the Xclient connected normally to the Xserver with debug. Of
> course, I checked that I was still into the specific mode by using a
> non-debug Xserver and the problem was still here.
> 
> At first, I really though I did something wrong while the compilation,
> so I took the Xserver package with debug options and it was the exact
> same behavior (i.e. once in the specific mode the XFree86 was crashing
> all the Xclients and the XFree86-debug was allowing the Xclients to
> connect).

Interesting. So it sounds like the optimized code either contains some
instruction(s) that work slightly differently on Transmeta CPUs than on
other x86 CPUs, and/or it triggers a bug in the code morphing.

Can others seeing the problem confirm that it doesn't happen with the
XFree86-debug server from xserver-xfree86-dbg?


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer




Message sent on to Joey Hess <joeyh@debian.org>:
Bug#216933. Full text and rfc822 format available.

Message #222 received at 216933-submitter@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <fleury@cs.auc.dk>
To: Michel Dänzer <daenzer@debian.org>
Cc: 261251@bugs.debian.org, control@bugs.debian.org, 216933-submitter@bugs.debian.org
Subject: Re: Bug#261251: xserver-xfree86: [ati/radeon+crusoe] Xclients are crashing at start
Date: Sat, 24 Jul 2004 21:09:31 +0200
On Sat, 2004-07-24 at 20:04, Michel Dänzer wrote:
> 
> It's still the same bug though, why are you reporting it as a new one?
> Merging with the existing bugs about this problem...

The first bug was reported to be a bug of the xlibs and I though that it
was changing a bit to relate it to the xserver package now.

(Moreover, I lost the reference to the last mail I sent...)

Sorry for this.

> It's certainly not the graphics chip, as the code which generates the
> error isn't even near the driver, let alone the hardware, and people are
> seeing the problem with a variety of graphics chips, but only with
> Transmeta CPUs.

Ok. I might have been too fast to draw hypothesis on this.

But I am now sure that we have to go deeper (i.e. in the Xserver).
I don't know where it will stop.

> Interesting. So it sounds like the optimized code either contains some
> instruction(s) that work slightly differently on Transmeta CPUs than on
> other x86 CPUs, and/or it triggers a bug in the code morphing.

Hum, does it means that the XFree86-debug does not contain any
optimization ?

If so, I have to tell you that I actually tried to compile one Xserver
with debug and no optimization (I removed all the -O2 from the
Makefiles). And it was working.

In fact, when debug is activated it seems to work.

If somebody knows what are the differences between a normal binary and a
binary with debug options, I would like to know. And if one of these
differences can explain such behavior, then I really would like to know.
:)

> Can others seeing the problem confirm that it doesn't happen with the
> XFree86-debug server from xserver-xfree86-dbg?

Just to make it more clear where is the breaking point, here are some
hints:

- start the Xserver and the Xserver only
- run gdb on xlogo
- put a break on the function _XReply in the file XlibInt.c 
- after 9 times through this break you should encounter the bug.

The size of the 9th message sent by xlogo is 476 and the wrong reply
from the Xserver is 32.

Regards
-- 
Emmanuel Fleury
 
Computer Science Department, |  Office: B1-201
Aalborg University,          |  Phone:  +45 96 35 72 23
Fredriks Bajersvej 7E,       |  Fax:    +45 98 15 98 89
9220 Aalborg East, Denmark   |  Email:  fleury@cs.auc.dk




Message sent on to Joey Hess <joeyh@debian.org>:
Bug#216933. Full text and rfc822 format available.

Message #225 received at 216933-submitter@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <fleury@cs.auc.dk>
To: Michel Dänzer <daenzer@debian.org>
Cc: 261251@bugs.debian.org, 216933-submitter@bugs.debian.org
Subject: Re: Bug#261251: xserver-xfree86: [ati/radeon+crusoe] Xclients are crashing at start
Date: Tue, 27 Jul 2004 12:34:09 +0200
[Message part 1 (text/plain, inline)]
Ok,

I have made some "progress" with this bug, but now I am a bit stuck. 
I really need assistance for the following because I don't know what to
do next. 

Here are the facts:

I have a laptop Vaio C1MZX with a Transmeta Crusoe TM5800.
The graphic card is a ATI Radeon Mobility M6 LY.

>From time to time the Xserver stop to work properly and refuse new
connections from any Xclients. The Xserver itself is still standing but
any Xclient trying to connect get a message from the Xserver that makes
it crash (see the gdb log attached to this mail: xlogo_bug.log). It
seems to be the 9th reply from the Xserver that makes the Xclients crash
(the normal negotiation between the Xserver and the Xclient is traced in
xlogo_nobug.log).

I also noticed that stopping the Xserver and starting it again was not
helping to remove the bug. The Xserver will still behave the same.

More surprisingly, if you do a copy of the binary file of the "buggy"
Xserver and run it, then it will work without bug, but when running the
original binary file that started with the bug, the bug will appear
again.

All Xservers (with optimization or not, with debug or not, or all the
combinations) will crash at some point and behave as mentioned
previously.

I tried to go inside the Xserver by attaching gdb to the Xserver process
but the Xserver start to use a lot of cpu time and nothing happen. When
interrupted inside gdb by a Ctrl-C, gdb give a prompt again but a "bt"
gives some nonsense informations (when the bug is not present this
process of attaching gdb to the process works normally).


Some Hypothesis...

Well, I don't know if it is right but it seems that there is a "cache"
which contains a wrong image of the Xserver which is not flushed.

If we accept this hypothesis, I don't know why the bug is still the same
(usually these cache problems are random).

Another problem is that I don't know what to try next and how to get
deeper or how to have a better understanding on what is going on.

Can somebody confirm the behavior that I described or give me some hints
on what to do next ?

Some useful links to better understand the specificities of the Crusoe
processors:
http://www.realworldtech.com/page.cfm?ArticleID=RWT010204000000
http://www.realworldtech.com/page.cfm?ArticleID=RWT012704012616

Regards
-- 
Emmanuel Fleury
 
Computer Science Department, |  Office: B1-201
Aalborg University,          |  Phone:  +45 96 35 72 23
Fredriks Bajersvej 7E,       |  Fax:    +45 98 15 98 89
9220 Aalborg East, Denmark   |  Email:  fleury@cs.auc.dk
[xlogo_bug.log (text/x-log, attachment)]
[xlogo_nobug.log (text/x-log, attachment)]

Merged 216933 234556 261251. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Chris Lange <chris@oishii.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #232 received at 216933@bugs.debian.org (full text, mbox):

From: Chris Lange <chris@oishii.org>
To: 216933@bugs.debian.org
Subject: Compiling XFree86 4.3.0 with -O0 seems to be a workaround
Date: Tue, 21 Sep 2004 18:51:18 +1000
Hi,

I have a laptop with a TM Crusoe TM5800 and ATi mobility M and have been
experiencing this same problem (albeit with Fedora Core 1 -- sorry for
posting here but i haven't found any other mention of it on the web and
thought the info might be handy to others)

I've compiled XFree86 4.3.0 with the following compiler flags,
-march=i386 -mcpu=i386 -O0 -fomit-frame-pointer -finline-functions,
and my system has now been running without a hitch for 19 days (i was
usually getting the "BadLength error" after only 2 to 4 hours after
every reboot when using the stock Fedora XF86 rpms).

NB: Around the code at line 241 of
XFree86-4.3.0/xc/extras/Mesa/src/glapi.c I had to comment out the
following in order to successfully compile with -O0 (gcc was complaining
about running out of registers): 

/*
if (use_cmpxchg8b)
for (p = _gl_entrypoint_templ + 4; p < _gl_end_table; p += 4) {
__asm __volatile ("lock; cmpxchg8b %0"
: "=m" (p[0]), "=m" (p[1]), "=a" (tmp1), "=d" (tmp2)
: "m" (p[0]), "m" (p[1]), "a" (p[0]), "d" (p[1]),
"b" (_gl_entrypoint_templ[0]),
"c" (c | (p[1] & 0xffff0000))
: "cc");
}
*/

You can download my custom FC1 rpms from here:
http://tardis.ath.cx/misc/xf86_4.3.0_cust/

(i know this is of little relevance but at least it might help some
fedora newbies like me get their laptops working)

Regards,
Chris





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #237 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 216933@bugs.debian.org
Subject: update
Date: Sat, 9 Oct 2004 06:10:55 -0400
[Message part 1 (text/plain, inline)]
I've been running with current unstable versions of xserver-xfree86-dbg
for long enough to sometimes forget this bug. It's never shown up while
I'm running the -debug binary. This is a great workaround.

I suppose the next step would be to binary search through, building
individual files and eventually functions with and without optimisation
until the problem code is isolated. Given how hard the bug can be to
reproduce or be sure of not reproducing, that could take a good long
time though.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Joey Hess <joeyh@debian.org>:
Bug#216933. Full text and rfc822 format available.

Message #240 received at 216933-submitter@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <fleury@cs.aau.dk>
To: 261251@bugs.debian.org
Cc: 261251-submitter@bugs.debian.org, 216933-submitter@bugs.debian.org
Subject: Workaround for the CMS bug
Date: Sat, 09 Oct 2004 17:49:05 +0200
Hi,

I have been trying to search on this bug for quite a while. I think that
we've finally got a workaround (not a fix). Just go to see my page about
it:

http://www.cs.auc.dk/~fleury/bug_cms/

The idea is to compile the Xserver without optimization, it seems to
improve a lot the stability of the Xserver and, anyway, the CMS itself
is providing some optimization, so you do not loose that much.

Another news, is that it seems that the bug has gone in CMS 4.4.x serie
and higher (it only was in CMS 4.3.x). But, I don't think that neither
Fujitsu nor Sony wants to provide a patch for this.

Well, I think we should close the bug now, no ?

Regards
-- 
Emmanuel Fleury

Computer Science Department, |  Office: B1-201
Aalborg University,          |  Phone:  +45 96 35 72 23
Fredriks Bajersvej 7E,       |  Fax:    +45 98 15 98 89
9220 Aalborg East, Denmark   |  Email:  fleury@cs.aau.dk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #245 received at 216933@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Chris Lange <chris@oishii.org>, 216933@bugs.debian.org
Subject: Re: Bug#216933: Compiling XFree86 4.3.0 with -O0 seems to be a workaround
Date: Wed, 13 Oct 2004 02:25:46 -0500
[Message part 1 (text/plain, inline)]
On Tue, Sep 21, 2004 at 06:51:18PM +1000, Chris Lange wrote:
> I've compiled XFree86 4.3.0 with the following compiler flags,
> -march=i386 -mcpu=i386 -O0 -fomit-frame-pointer -finline-functions,
> and my system has now been running without a hitch for 19 days (i was
> usually getting the "BadLength error" after only 2 to 4 hours after
> every reboot when using the stock Fedora XF86 rpms).
> 
> NB: Around the code at line 241 of
> XFree86-4.3.0/xc/extras/Mesa/src/glapi.c I had to comment out the
> following in order to successfully compile with -O0 (gcc was complaining
> about running out of registers): 
> 
> /*
> if (use_cmpxchg8b)
> for (p = _gl_entrypoint_templ + 4; p < _gl_end_table; p += 4) {
> __asm __volatile ("lock; cmpxchg8b %0"
> : "=m" (p[0]), "=m" (p[1]), "=a" (tmp1), "=d" (tmp2)
> : "m" (p[0]), "m" (p[1]), "a" (p[0]), "d" (p[1]),
> "b" (_gl_entrypoint_templ[0]),
> "c" (c | (p[1] & 0xffff0000))
> : "cc");
> }
> */

Huh.  I'm not aware that this caused gcc warnings anywhere.  Maybe it only
does so on Crusoe chips?

-- 
G. Branden Robinson                |         "Religion is nonsense."
Debian GNU/Linux                   |         "It's also a gold mine --
branden@debian.org                 |         if you know where to dig."
http://people.debian.org/~branden/ |         -- _Shine_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@deadbeast.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #250 received at 216933@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@deadbeast.net>
To: 216933@bugs.debian.org
Subject: Chris Lange talks but his ISP's MTA won't listen
Date: Thu, 14 Oct 2004 14:29:31 -0500
[Message part 1 (text/plain, inline)]
Careless blacklister alert:

<chris@oishii.org>: host tardis.ath.cx[202.161.125.100] said: 554 Service
    unavailable; Client host [65.26.182.85] blocked using t1.dnsbl.net.au;
    65.26.182.85 See
    http://www.dnsbl.sorbs.net/cgi-bin/lookup?NAME=65.26.182.85 (in reply to
    RCPT TO command)

-- 
G. Branden Robinson            |        "To be is to do"   -- Plato
Free Software Developer        |        "To do is to be"   -- Aristotle
branden@deadbeast.net          |        "Do be do be do"   -- Sinatra
http://deadbeast.net/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Tags set to: wontfix Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #259 received at 216933@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: debian-doc@lists.debian.org
Cc: 216933@bugs.debian.org
Subject: Release notes: please include "cantfix" Crusoe/X bug 216933
Date: Fri, 08 Apr 2005 13:31:02 -0400
Greetings,

There's a major X stability problem with Transmeta Crusoe CPUs and
Radeon Mobility graphics hardware, discussed in Debian bug 216933, in
X.org bugzilla, and at http://www.cs.auc.dk/~fleury/bug_cms/ .  This bug
causes X to crash seemingly randomly at a rate of approximately every
2-5 hours, depending on applications running and various other factors.
It has been the bane of my existence since I upgraded to sarge last
February.

Fortunately, there is a workaround, which is to install the -dbg flavor
of the X server.

For the sake of our users, I feel we should put this in a "known bugs"
section of the Sarge/3.1 release notes for the "i386" platform.  I hate
to think that users of stable will have to deal with such a significant
problem without any warning/documentation, so at least documenting it
prominently would probably help such users quite a bit.

I'd be happy to suggest wording for such a section, just let me know.
Please CC me in replies.

Thanks,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Rob Bradford <robster@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #264 received at 216933@bugs.debian.org (full text, mbox):

From: Rob Bradford <robster@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: debian-doc@lists.debian.org, 216933@bugs.debian.org
Subject: Re: Release notes: please include "cantfix" Crusoe/X bug 216933
Date: Fri, 06 May 2005 20:07:47 +0100
Adam C Powell IV wrote:
> I'd be happy to suggest wording for such a section, just let me know.

Please do this and send it to me and CC debian-doc@lists.debian.org.

Cheers,

Rob
-- 
Rob Bradford <robster@debian.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #269 received at 216933@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Rob Bradford <robster@debian.org>
Cc: debian-doc@lists.debian.org, 216933@bugs.debian.org
Subject: Re: Release notes: please include "cantfix" Crusoe/X bug 216933
Date: Wed, 18 May 2005 08:12:46 -0400
Greetings and apologies for the delay,

First, in http://www.debian.org/releases/testing/i386/release-notes/ it
does not seem that there's a natural place for "known bugs", so that
will need to be created, perhaps at the end or under "Detailed changes
to the system".

So here is the sample text:

The X server shipping in Debian 3.1 contains optimized code which is not
properly executed by many Transmeta(TM) Crusoe(TM) processors.  The
result of this is that at a certain time (when cached code "morphed"
from x86 to Crusoe VLIW instructions in the CPU is in a buggy state), X
client applications which connect with it fail with the following error
message:

X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
Major opcode of failed request:  18 (X_ChangeProperty)
Serial number of failed request:  15
Current serial number in output stream:  18

In practical terms, this means that after a few hours of operation,
applications will suddenly quit in rapid succession; if a display
manager is running, that too will repeatedly quit and attempt to restart
itself.  The state will persist until the buggy VLIW Transmeta code is
flushed from the cache.

The workaround for this bug is to install an X server compiled without
optimization, such as the xserver-xfree86-dbg package.  Since the bug is
in the proprietary Transmeta Code Morphing Software (CMS), and the
laptop BIOS checks the CMS for a vendor signature at boot time, only
cooperation between Transmeta and the laptop vendor can fix this.  Thus
far, only HP is known to have done this for the Compaq TabletPC TC1000
family
(http://h18007.www1.hp.com/support/files/compaqtabletpc/us/download/18120.html), and Transmeta has dropped support for their proprietary CMS, making further fixes unlikely.

For more details, see Debian bug #216933, freedesktop.org bugzilla id
455 (https://bugs.freedesktop.org/show_bug.cgi?id=455) and detailed
technical analysis and a list of known platforms with the bug at
http://www.cs.auc.dk/~fleury/bug_cms/ .

On Fri, 2005-05-06 at 20:07 +0100, Rob Bradford wrote:
> Adam C Powell IV wrote:
> > I'd be happy to suggest wording for such a section, just let me know.
> 
> Please do this and send it to me and CC debian-doc@lists.debian.org.
> 
> Cheers,
> 
> Rob
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #274 received at 216933@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: 216933@bugs.debian.org, debian-doc@lists.debian.org
Subject: Re: Release notes: please include "cantfix" Crusoe/X bug 216933
Date: Sat, 21 May 2005 20:08:46 +0200
[Message part 1 (text/plain, inline)]
On Wednesday 18 May 2005 14:12, Adam C Powell IV wrote:
> So here is the sample text:

I have included most of the proposed text, but shortened it somewhat as 
the link to http://www.cs.auc.dk/~fleury/bug_cms/ IMO provides a very 
good overview of details and exceptions. Beside this link, I've only 
included the link to #216933.

Thanks for providing the text on this issue.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to David Martínez Moreno <ender@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #279 received at 216933@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: Joey Hess <joeyh@debian.org>, Emmanuel Fleury <fleury@cs.auc.dk>
Cc: Adam C Powell IV <hazelsct@debian.org>, Rob Bradford <robster@debian.org>, 216933@bugs.debian.org
Subject: Re: Bug#216933: Workaround for the CMS bug
Date: Tue, 17 Jan 2006 02:24:08 +0100
[Message part 1 (text/plain, inline)]
	Hello, Emmanuel, Joey. What happened about the nasty Transmeta bug with X? 
Did you see any changes with new 6.9 packages and/or gcc-4.0?

	Best regards,


		Ender.
-- 
Network engineer
Debian Developer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #284 received at 216933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: David Martínez Moreno <ender@debian.org>
Cc: Emmanuel Fleury <fleury@cs.auc.dk>, Adam C Powell IV <hazelsct@debian.org>, Rob Bradford <robster@debian.org>, 216933@bugs.debian.org
Subject: Re: Bug#216933: Workaround for the CMS bug
Date: Mon, 16 Jan 2006 21:10:32 -0500
[Message part 1 (text/plain, inline)]
David Martínez Moreno wrote:
> What happened about the nasty Transmeta bug with X? 
> Did you see any changes with new 6.9 packages and/or gcc-4.0?

I haven't been seeing it with x.org 6.9 packages built with recent
gcc's, but I assume this just means the code has stopped tickling the
underlying bug in the crusoe code morpher.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Fleury <emmanuel.fleury@labri.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #289 received at 216933@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <emmanuel.fleury@labri.fr>
To: Joey Hess <joeyh@debian.org>
Cc: David Martínez Moreno <ender@debian.org>, Emmanuel Fleury <fleury@cs.aau.dk>, Adam C Powell IV <hazelsct@debian.org>, Rob Bradford <robster@debian.org>, 216933@bugs.debian.org
Subject: Re: Bug#216933: Workaround for the CMS bug
Date: Tue, 17 Jan 2006 12:35:11 +0100
Hi all,

Joey Hess wrote:
>
> I haven't been seeing it with x.org 6.9 packages built with recent
> gcc's, but I assume this just means the code has stopped tickling the
> underlying bug in the crusoe code morpher.

My problems had disappeared for a while since Xorg was here. But, since
Xorg 6.9 I am experimenting a new problem. The computer boot normaly and
then when gdm is started (or xinit, or startx) the LCD screen turn black
and I can't restore the ascii consoles.... And, then, from time to time,
it works normally (I have absolutely no explanation why!).

I have no idea if this is related to the CMS bug, I need to investigate
this more in deep to tell.

Another thing, the gstreamer package must be using some non i386
instruction sets because I'm seeing a lot of problems when I try to
install it.

Well, seems this machine is a dream for bug tracking people ! ;-)

Regards
-- 
Emmanuel Fleury

I do not fear computers. I fear the lack of them.
  -- Isaac Asimov



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Fleury <emmanuel.fleury@labri.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #294 received at 216933@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <emmanuel.fleury@labri.fr>
To: Emmanuel Fleury <emmanuel.fleury@labri.fr>
Cc: Joey Hess <joeyh@debian.org>, David Martínez Moreno <ender@debian.org>, Adam C Powell IV <hazelsct@debian.org>, Rob Bradford <robster@debian.org>, 216933@bugs.debian.org
Subject: Re: Bug#216933: Workaround for the CMS bug
Date: Fri, 20 Jan 2006 09:50:35 +0100
Hi,

I did investigate a bit further the problem.

When starting X on the laptop, the LCD display blank and stay in this
state. The network access allowed me to see what was happening. The
Xorg server is using 80-90% of the CPU power:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 4298 root      25   0 29152 4896 3108 R 98.8  1.4   0:23.53 Xorg

The Xorg process is un-killable even with SIGKILL signal (9). So, I
obviously conclude that Xorg is waiting for something in the kernel.

I tried to downgrade from kernel 2.6.15 back to 2.6.14.5 (which was
previously working with the old Xorg) but it still behave the same.

When the system is asked to shutdown, the Xorg process seems to be the
last one to be killed (confirmation of the un-killable process).

I can't attach gdb to the Xorg process as it does not reply. I have to
try to strace it on my next attempt.

xserver-xorg   6.9.0.dfsg.1-4 the X.Org X server

Does somebody have the same behaviour or is just me ?

To be continued...
-- 
Emmanuel Fleury

The great difficulty in debugging: You have to divorce yourself
from preconceptions, make your mind blank, unlinked, unchanneld,
the Zen state ...
  -- Ellen Ullman (The Bug)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#216933; Package libx11-6. Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Fleury <emmanuel.fleury@labri.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #299 received at 216933@bugs.debian.org (full text, mbox):

From: Emmanuel Fleury <emmanuel.fleury@labri.fr>
To: Emmanuel Fleury <emmanuel.fleury@labri.fr>
Cc: Joey Hess <joeyh@debian.org>, David Martínez Moreno <ender@debian.org>, Adam C Powell IV <hazelsct@debian.org>, Rob Bradford <robster@debian.org>, 216933@bugs.debian.org
Subject: Re: Bug#216933: Workaround for the CMS bug
Date: Fri, 17 Mar 2006 10:08:33 +0100
Hi,

Emmanuel Fleury wrote:
> 
> I did investigate a bit further the problem.
> 
> When starting X on the laptop, the LCD display blank and stay in this
> state. The network access allowed me to see what was happening. The
> Xorg server is using 80-90% of the CPU power:
> 
>   PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
>  4298 root      25   0 29152 4896 3108 R 98.8  1.4   0:23.53 Xorg
...

The bug totally disappeared after an update to Xorg 6.9.0.dfsg.1-4
(I tried it yesterday).

I think we can close the bug (it still can be reopened as long as we can
have some code mutation).

Regards
-- 
Emmanuel Fleury

Life is full of surprises but never when you need one.
  -- Calvin & Hobbes (Bill Waterson)



Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #304 received at 216933-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 222076-done@bugs.debian.org, 399972-done@bugs.debian.org, 32009-done@bugs.debian.org, 48199-done@bugs.debian.org, 216933-done@bugs.debian.org, 301450-done@bugs.debian.org, 438842-done@bugs.debian.org, 13879-done@bugs.debian.org, 151417-done@bugs.debian.org, 185211-done@bugs.debian.org, 197156-done@bugs.debian.org, 216317-done@bugs.debian.org, 234788-done@bugs.debian.org, 236334-done@bugs.debian.org, 249654-done@bugs.debian.org, 261777-done@bugs.debian.org, 268120-done@bugs.debian.org, 295356-done@bugs.debian.org, 325733-done@bugs.debian.org, 362718-done@bugs.debian.org, 381342-done@bugs.debian.org, 384082-done@bugs.debian.org, 384088-done@bugs.debian.org, 384102-done@bugs.debian.org, 384196-done@bugs.debian.org, 384201-done@bugs.debian.org, 384204-done@bugs.debian.org, 389864-done@bugs.debian.org, 403101-done@bugs.debian.org, 419907-done@bugs.debian.org, 433867-done@bugs.debian.org
Subject: closing some old wontfix bugs that we don't need to keep open
Date: Sun, 15 Jun 2008 12:09:08 +0200
This bug has been marked as "wontfix" for a while, and I don't think it
is worth keeping it open. So as part of cleaning the BTS, I am just
closing it.

Cheers
Brice





Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Emmanuel Fleury <fleury@cs.auc.dk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Emmanuel Fleury <fleury@cs.auc.dk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Jul 2008 07:30:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:35:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.